// ===================== Keyboard-Funktionalität =====================

// Teensy schickt Daten (hier "Ultaschall") an PC
// dabei simuliert Teensy das Keyboard

// speichert die Werte, die vom Teensy kommen, in ein Array
let buffer = [];
// der TextString aus dem "buffer"-Werten
let teensyWerte = '';

// Graph, der die Werte anzeigt
const teensyGraph = document.querySelector('#teensyGraph');

// Textausgabe des aktuellen Wertes
const werte = document.querySelector('#werte');

window.addEventListener(
    'keydown',
    function (event) {
        let taste = event.key;
        // die Übergabe vom Teensy endet mit einem "ENTER" (neue Zeile)
        // das wird abgefragt und an dieser Stelle wird
        // der Graph aktualisiert und buffer und teensyWerte wieder zurückgesetzt
        if (event.code == 'Enter') {
            for (let i = 0; i < buffer.length; i++) {
                teensyWerte = teensyWerte + buffer[i];
            }
            // console.log(teensyWerte);
            // 200 ist max_distance (im Arduino-Sketch festgelegt)
            const max_distance = 200;
            let prozWerte = (teensyWerte / max_distance) * 100;

            // Ausgabe der Prozent-Werte in der Konsole
            // console.log(`${prozWerte}%`);

            teensyGraph.style.width = `${prozWerte}%`;
            werte.textContent = teensyWerte;

            // zurücksetzten der Variablen
            buffer = [];
            teensyWerte = '';
        } else {
            buffer.push(taste);
        }
    },
    true
);
